<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_coins" />

    </androidx.appcompat.widget.Toolbar>

    <!-- Main Content -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:padding="@dimen/margin_1x_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/frame_yes_coins"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_yes_member"
                android:gravity="center_vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <LinearLayout
                    android:id="@+id/linearLayout3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/margin_1x_size"
                    android:layout_marginTop="@dimen/margin_3x_size"
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:paddingBottom="@dimen/margin_3x_size"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/imageView5"
                        android:layout_width="100dp"
                        android:layout_height="50dp"
                        android:contentDescription="Logo"
                        android:src="@drawable/ic_coins" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_coin_earn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Your coins 800"
                        android:textColor="@color/white"
                        android:textSize="@dimen/xx_large_text_size"
                        android:textStyle="bold" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/tv_coin_description"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="200 coins will expire on 31 Dec 24"
                        android:textColor="@color/white"
                        android:textSize="@dimen/small_text_size" />
                </LinearLayout>

                <!-- Buttons Group -->
                <com.seatel.mobilehall.util.customview.CustomButton
                    android:id="@+id/btn_how_earn_coin"
                    android:layout_width="0dp"
                    android:layout_height="35dp"
                    android:layout_marginStart="@dimen/margin_1x_size"
                    android:layout_marginEnd="@dimen/margin_1x_size"
                    android:layout_marginBottom="@dimen/margin_3x_size"
                    android:background="@drawable/bg_button_primary"
                    android:backgroundTint="@color/white"
                    android:gravity="center"
                    android:text="How To Earn yesCoins"
                    android:textColor="@color/colorPrimary"
                    android:textSize="10sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/btn_earn_coin_history"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/linearLayout3" />

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:id="@+id/btn_earn_coin_history"
                    android:layout_width="0dp"
                    android:layout_height="35dp"
                    android:layout_marginBottom="@dimen/margin_3x_size"
                    android:background="@drawable/bg_button_primary"
                    android:backgroundTint="@color/white"
                    android:gravity="center"
                    android:text="Earned Coins History"
                    android:textColor="@color/colorPrimary"
                    android:textSize="10sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/btn_reward_history"
                    app:layout_constraintStart_toEndOf="@id/btn_how_earn_coin"
                    app:layout_constraintTop_toBottomOf="@id/linearLayout3" />

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:id="@+id/btn_reward_history"
                    android:layout_width="0dp"
                    android:layout_height="35dp"
                    android:layout_marginStart="@dimen/margin_1x_size"
                    android:layout_marginEnd="@dimen/margin_1x_size"
                    android:layout_marginBottom="@dimen/margin_3x_size"
                    android:background="@drawable/bg_button_primary"
                    android:backgroundTint="@color/white"
                    android:gravity="center"
                    android:text="Redeemed Reward History"
                    android:textColor="@color/colorPrimary"
                    android:textSize="10sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/btn_earn_coin_history"
                    app:layout_constraintTop_toBottomOf="@id/linearLayout3" />


            </androidx.constraintlayout.widget.ConstraintLayout>

            <ImageView
                android:id="@+id/iv_coin_banner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:src="@drawable/ic_value_pack" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:text="Rewards"
                android:textColor="@color/colorPrimary"
                android:textStyle="bold" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyler_reward"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

        </LinearLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>
